package main

import (
	"sync"

	pbUpstream "github.com/odysseus/odysseus-protocol/gen/proto/go/base/v1"
)

type apiQueryTxsForAddr struct {
	uuid string
	res  chan pbUpstream.TaskResponse
}

var ApiQueryTxsByAddrForQueue = make(chan apiQueryTxsForAddr, 1000)

func req(uuid string) chan pbUpstream.TaskResponse {

	//ApiQueryTxsByAddrForQueue

	res := make(chan pbUpstream.TaskResponse)

	ApiQueryTxsByAddrForQueue <- apiQueryTxsForAddr{
		uuid: uuid,
		res:  res,
	}

	return res

}

func res(res pbUpstream.TaskResponse) {

	if v, ok := recordmap.LoadAndDelete(res.TaskId); ok {
		resAsV, ok := v.(chan pbUpstream.TaskResponse)
		if ok {
			resAsV <- res
		}
	}
}

var recordmap sync.Map

func recordUUID() {
	for message := range ApiQueryTxsByAddrForQueue {
		recordmap.Store(message.uuid, message.res)
	}
}

// res := make(chan types.Transactions)

// t.ApiQueryTxsByAddrForQueue <- apiQueryTxsForAddr{
// 	addr: (metaTypes.Address)(addr),
// 	res:  res,
// }

// queueTxs := <-res
